<!--
  Generated template for the AddSurveyPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="carbon">
    <ion-title>Add Survey</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
    <div class="survey-a">
      <h2>Survey A (Disaster Risk)</h2>
        <ion-list>
          <ion-item>
            <ion-label floating>Has the household experienced destructive calamity for the past 12 months?</ion-label>
            <ion-select [(ngModel)]="surveyA.a1" (ionChange)="noSelected($event)">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item style="font-size: small">
            Which of These Calamities has your family experienced?
          </ion-item>
          <ion-item>
            <ion-label>Typhoon</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_1"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Heavy Rains</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_2"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Drought</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_3"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Earthquake</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_4"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Volcanic Eruption</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_5"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Landslide/mudslide</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_6"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Tsunami</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_7"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Lightning Incidents</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_8"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Storm Surge</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_9"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Tornadoes/Whirlwinds</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_10"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Sinkhole</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_11"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Flood</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_12"></ion-checkbox>
          </ion-item>
          <ion-item>
            <ion-label>Wild Fire</ion-label>
            <ion-checkbox [disabled]="surveyA.a1 !== 'Yes'" [(ngModel)]="surveyA.a2_13"></ion-checkbox>
          </ion-item>
        </ion-list>
      <div *ngIf="surveyA.a2_1">
        <h4> Typhoon </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_1"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_1">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_1 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_1 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_1_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_1 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_1_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_1 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_1_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_1 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_1_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_1 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_1_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!-- Heavy Rains-->
      <div *ngIf="surveyA.a2_2">
        <h4> Heavy Rains </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_2"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_2">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_2 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_2 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_2_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_2 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_2_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_2 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_2_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_2 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_2_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_2 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_2_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Drought-->

      <div *ngIf="surveyA.a2_3">
        <h4> Earthquake </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_3"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_3">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_3 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_3 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_3_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_3 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_3_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_3 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_3_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_3 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_3_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_3 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_3_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>


      <!--Earthquake-->
      <div *ngIf="surveyA.a2_4">
        <h4> Earthquake </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_4"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_4">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_4 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_4 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_4_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_4 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_4_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_4 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_4_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_4 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_4_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_4 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_4_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Volcanic Eruption-->
      <div *ngIf="surveyA.a2_5">
        <h4> Volcanic Eruption </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_5"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_5">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_5 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_5 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_5_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_5 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_5_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_5 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_5_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_5 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_5_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_5 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_5_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Landslide/ Mudslide-->
      <div *ngIf="surveyA.a2_6">
        <h4> Landslide/Mudslide </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_6"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_6">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_6 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_6 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_6_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_6 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_6_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_6 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_6_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_6 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_6_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_6 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_6_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Tsunami-->
      <div *ngIf="surveyA.a2_7">
        <h4> Tsunami </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_7"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_7">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_7 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_7 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_7_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_7 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_7_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_7 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_7_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_7 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_7_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_7 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_7_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Lightning Incidents-->
      <div *ngIf="surveyA.a2_8">
        <h4> Lightning Incidents </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_8"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_8">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_8 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_8 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_8_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_8 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_8_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_8 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_8_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_8 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_8_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_8 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_8_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Storm Surge-->
      <div *ngIf="surveyA.a2_9">
        <h4> Storm Surge </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_9"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_9">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_9 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_9 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_9_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_9 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_9_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_9 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_9_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_9 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_9_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_9 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_9_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Tornadoes / Whirlwinds -->

      <div *ngIf="surveyA.a2_10">
        <h4> Tornadoes/Whirlwinds </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_10"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_10">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_10 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_10 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_10_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_10 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_10_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_10 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_10_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_10 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_10_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_10 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_10_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Sinkhole-->
      <div *ngIf="surveyA.a2_11">
        <h4> Sinkhole </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_11"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_11">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_11 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_11 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_11_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_11 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_11_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_11 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_11_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_11 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_11_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_11 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_11_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Flood-->

      <div *ngIf="surveyA.a2_12">
        <h4> Flood </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_12"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_12">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_12 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_12 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_12_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_12 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_12_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_12 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_12_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_12 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_12_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_12 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_12_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      <!--Wildfire-->
      <div *ngIf="surveyA.a2_13">
        <h4> Wild Fire </h4>
        <ion-list>
          <ion-item>
            <ion-label floating style="font-size: smaller">Number of calamities have occurred for the past 12 months?</ion-label>
            <ion-input type="number" [(ngModel)]="surveyA.a3_13"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label floating style="font-size: small">Did the household receive any assistance?</ion-label>
            <ion-select [(ngModel)]="surveyA.a4_13">
              <ion-option value="Yes">Yes</ion-option>
              <ion-option value="No">No</ion-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_13 === 'Yes'">
            Where Did the Assistance came from?
          </ion-item>
          <ion-item *ngIf="surveyA.a4_13 === 'Yes'">
            <ion-label>Government</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_13_1"></ion-checkbox>
          </ion-item>
          <ion-item *ngIf="surveyA.a4_13 === 'Yes'">
            <ion-label>Relative</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_13_2"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_13 === 'Yes'">
            <ion-label>NGO</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_13_3"></ion-checkbox>
          </ion-item>

          <ion-item *ngIf="surveyA.a4_13 === 'Yes'">
            <ion-label>Friends</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_13_4"></ion-checkbox>
          </ion-item>


          <ion-item *ngIf="surveyA.a4_13 === 'Yes'">
            <ion-label>Others</ion-label>
            <ion-checkbox [(ngModel)]="surveyA.a5_13_5"></ion-checkbox>
          </ion-item>
        </ion-list>
      </div>

      </div>
  <div class="survey-b">
    <h2>Survey B (Awareness Of Government Action)</h2>
    <ion-list>
      <ion-item>
        <ion-label floating style="font-size: smaller">Have you seen or heard information encouraging people in your community to be prepared for disaster situations in the past 12 months?</ion-label>
        <ion-select [(ngModel)]="surveyB.b1">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'" style="font-size: smaller">Where did you receive information, attended meeting or training<br> regarding disaster prevention and preparedness?</ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>National Office</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_1"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Governor's Office</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_2"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Municipal of Mayor's Office</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_3"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Barangay Officials</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_4"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Local Law Enforcement</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_5"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Local Emergency Management Office</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_6"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>School</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_7"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>An online resources</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_8"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Private Contractor/agency</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_9"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>The Military</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_10"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>A non-profit organization</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_11"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>Some other person or agency</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_12"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>I don't remember</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_13"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyB.b1 === 'Yes'">
        <ion-label>None</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b2_14"></ion-checkbox>
      </ion-item>
      <ion-item style="font-size: smaller">What is your preferred way to receive information regarding <br>disaster prevention and preparedness? </ion-item>
      <ion-item>
        <ion-label>Television</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_1"></ion-checkbox>
      </ion-item>
      <ion-item>
        <ion-label>Radio</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_2"></ion-checkbox>
      </ion-item>
      <ion-item>
        <ion-label>Internet/Website</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_3"></ion-checkbox>
      </ion-item>
      <ion-item>
        <ion-label>Fact sheet/brochure/pamphlet</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_4"></ion-checkbox>
      </ion-item>
      <ion-item>
        <ion-label>By speakerphone</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_5"></ion-checkbox>
      </ion-item>
      <ion-item>
        <ion-label>Phone Call</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_6"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Mail/E-mail</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_7"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Magazine</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_8"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Newspaper</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_9"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Facebook</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_10"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Twitter</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_11"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Relative/Friend/Neighbor</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_12"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>From Work</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_13"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>SMS/Text Messages</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_14"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label>Disaster Related Application Software</ion-label>
        <ion-checkbox [(ngModel)]="surveyB.b3_15"></ion-checkbox>
      </ion-item>

      <ion-item>
        <ion-label floating>Have you or someone in your household attended meetings, received information or training regarding disaster preparedness in the past 12 months?</ion-label>
        <ion-select [(ngModel)]="surveyB.b4">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
    </ion-list>
  </div>
  <div class="survey-c">
    <h2>Survey C (Nearest Evacuation Center)</h2>
    <ion-list>
      <ion-item>
        <ion-label floating>Is your house secured enough and there is no need for you to evacuate during calamity?</ion-label>
        <ion-select [(ngModel)]="surveyC.c1">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label floating>In the past 3 years, have you experience to evacuate because of calamity?</ion-label>
        <ion-select [(ngModel)]="surveyC.c2">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label floating>Are you aware of a place where to evacuate?</ion-label>
        <ion-select [(ngModel)]="surveyC.c3">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>Where did you evacuate?</ion-label>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>School</ion-label>
        <ion-checkbox [(ngModel)]="surveyC.c4_1"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>Church</ion-label>
        <ion-checkbox [(ngModel)]="surveyC.c4_2"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>Covered court/gym</ion-label>
        <ion-checkbox [(ngModel)]="surveyC.c4_3"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>Relative's House</ion-label>
        <ion-checkbox [(ngModel)]="surveyC.c4_4"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>Neighbor or Friend's House</ion-label>
        <ion-checkbox [(ngModel)]="surveyC.c4_5"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'No'">
        <ion-label>Other</ion-label>
        <ion-checkbox [(ngModel)]="surveyC.c4_6"></ion-checkbox>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'Yes'">
        <ion-label floating>Are you willing to adopt an evacuee?</ion-label>
        <ion-select [(ngModel)]="surveyC.c5">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="surveyC.c1 === 'Yes'">
        <ion-label floating>How many evacuees can you accommodate?</ion-label>
        <ion-input type="number" [(ngModel)]="surveyC.c6"></ion-input>
      </ion-item>


    </ion-list>
  </div>
  <div class="survey-d">
    <h2>Survey D</h2>
      <ion-list>
        <ion-item>
          <ion-label floating> Did the family carefully select the construction site of the residential building?</ion-label>
          <ion-select [(ngModel)]="surveyD.d1">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating> Did the family secure the house to its foundation?</ion-label>
          <ion-select [(ngModel)]="surveyD.d2">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating> Are typhoon guards installed on windows during disaster?</ion-label>
          <ion-select [(ngModel)]="surveyD.d3">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>  Is the house reinforced in preparation for disaster occurrence?</ion-label>
          <ion-select [(ngModel)]="surveyD.d4">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating> Does your family have a “Household/Family Emergency Plan” in case of calamity?</ion-label>
          <ion-select [(ngModel)]="surveyD.d5">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating> If family or loved ones get separated during disaster, does your family have a communication plan?</ion-label>
          <ion-select [(ngModel)]="surveyD.d6">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>Are you aware of warning and monitoring activity of the concerned agency regarding calamity?</ion-label>
          <ion-select [(ngModel)]="surveyD.d7">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating> Do you know the person or government agency to contact in case of calamity?</ion-label>
          <ion-select [(ngModel)]="surveyD.d8">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating> Do you have a preparedness kit?</ion-label>
          <ion-select [(ngModel)]="surveyD.d9">
            <ion-option value="Yes">Yes</ion-option>
            <ion-option value="No">No</ion-option>
          </ion-select>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">Which of the following do you have in your preparedness kit?</ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Water</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_1"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Food (canned goods, biscuits, etc.)</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_2"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Matches/Lighter</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_3"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Flashlight/Emergency light</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_4"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Transistor Radio</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_5"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Candle</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_6"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Whistle</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_7"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Medical Kit</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_8"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Extra Prescription Medication</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_9"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Clothes</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_10"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Blanket</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_11"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Important Documents</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_12"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Fuel</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_13"></ion-checkbox>
        </ion-item>
        <ion-item *ngIf="surveyD.d9 === 'Yes'">
          <ion-label>Extra Cash-on-hand</ion-label>
          <ion-checkbox [(ngModel)]="surveyD.d10_14"></ion-checkbox>
        </ion-item>
      </ion-list>
  </div>

  <button ion-button full (click)="submitSurvey()">Submit Survey</button>
</ion-content>
